Update a heartbeat (cron) monitor.
PUT
/cron/job/{cron_job_id}
const url = 'https://api.siteqwality.com/cron/job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"friendly_name":"example","check_interval_seconds":1,"group_notification_ids":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"state":"active","tags":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/cron/job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "friendly_name": "example", "check_interval_seconds": 1, "group_notification_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "state": "active", "tags": [ "example" ] }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” cron_job_id
required
string format: uuid
Heartbeat monitor identifier
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Heartbeat monitor updated
Invalid request body
Missing or invalid authentication
Heartbeat monitor not found
Internal server error